Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.griffon.runtime.builder
[Java] Interface CompositeBuilderCustomizer

    public interface CompositeBuilderCustomizer

Defines the contract for toolkit specific configurations that can be applied to a `FactoryBuilderSupport` instance.

Authors:
  Andres Almiray

Since:
  0.9.3

Method Summary
`void` | `registerBeanFactory(FactoryBuilderSupport builder, String name, String groupName, Class beanClass)`
`void` | `registerExplicitMethod(FactoryBuilderSupport builder, String name, String groupName, Closure method)`
`void` | `registerExplicitProperty(FactoryBuilderSupport builder, String name, String groupName, Closure getter, Closure setter)`
`void` | `registerFactory(FactoryBuilderSupport builder, String name, String groupName, Factory factory)`

Method Detail

### registerBeanFactory

    public void registerBeanFactory(FactoryBuilderSupport builder, String name, String groupName, Class beanClass)

### registerExplicitMethod

    public void registerExplicitMethod(FactoryBuilderSupport builder, String name, String groupName, Closure method)

### registerExplicitProperty

    public void registerExplicitProperty(FactoryBuilderSupport builder, String name, String groupName, Closure getter, Closure setter)

### registerFactory

    public void registerFactory(FactoryBuilderSupport builder, String name, String groupName, Factory factory)

Groovy Documentation